Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.logging
Class WLLevel

    java.lang.Object
      |
      +--java.util.logging.Level
            |
            +--weblogic.logging.WLLevel

public class WLLevel
extends java.util.logging.Level

This class enumerates the WebLogic specific logging levels. This class acts like an adapter between the JDK 1.4 Logging API and WebLogic Logging. It defines a mapping between the Level and Severities classes in the two APIs.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static WLLevel` | `ALERT`
`static WLLevel` | `CRITICAL`
`static WLLevel` | `DEBUG`
`static WLLevel` | `EMERGENCY`
`static WLLevel` | `ERROR`
`static WLLevel` | `INFO`
`static WLLevel` | `NOTICE`
`static WLLevel` | `WARNING`

Fields inherited from class java.util.logging.Level
`ALL, CONFIG, FINE, FINER, FINEST, INFO, OFF, SEVERE, WARNING`

Method Summary
`static java.util.logging.Level` | `getLevel(int severity)` Converts severity code to a corresponding Level object.
`java.lang.String` | `getLocalizedName()` Gets the localized name for this level.
`int` | `getSeverity()` Gets the severity code for this level.
`static int` | `getSeverity(java.util.logging.Level level)` Maps a Level object to an severity code

Methods inherited from class java.util.logging.Level
`equals, getName, getResourceBundleName, hashCode, intValue, parse, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EMERGENCY

    public static final WLLevel EMERGENCY

### CRITICAL

    public static final WLLevel CRITICAL

### ERROR

    public static final WLLevel ERROR

### ALERT

    public static final WLLevel ALERT

### NOTICE

    public static final WLLevel NOTICE

### DEBUG

    public static final WLLevel DEBUG

### WARNING

    public static final WLLevel WARNING

### INFO

    public static final WLLevel INFO

Method Detail

### getSeverity

    public int getSeverity()

  Gets the severity code for this level.

  Returns:

### getLocalizedName

    public java.lang.String getLocalizedName()

  Gets the localized name for this level.

  Returns:
  Overrides:
    getLocalizedName in class java.util.logging.Level

### getLevel

    public static java.util.logging.Level getLevel(int severity)

  Converts severity code to a corresponding Level object.

### getSeverity

    public static int getSeverity(java.util.logging.Level level)

  Maps a Level object to an severity code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD